m4_define(`divrest',divnum)m4_dnl
m4_divert(-1)

m4_dnl  The site map can't be built automatically in a way guaranteed to
m4_dnl  pass through the most popular lightweight markup language (LML)
m4_dnl  processors unmodified.

m4_dnl  The most accessible way to construct the sitemap in a largely
m4_dnl  agnostic way is to make the sitemap generator output M4 macros
m4_dnl  and define those macros in a separate config file, resulting in
m4_dnl  a list of links run through your LML of choice.

m4_dnl  Every line beginning with "m4_dnl" is a comment preventing a
m4_dnl  macro definition.  If you use one of the LMLs listed here,
m4_dnl  uncomment the lines for that LML.  Otherwise, use these as
m4_dnl  samples to write your own macros.  Remember the "-P" switch is
m4_dnl  in effect, which means every built-in macro starts with "m4_".



m4_dnl  Raw HTML or Markdown:

m4_define(`PRE',`')
m4_define(`OPEN',`<ul class="sitemap">')
m4_define(`LINK',`<a class="sitemap-link sitemap-link-$1" href="$2">`$3'</a>')
m4_define(`ITEM',`<li class="sitemap-item sitemap-item-$1">$2</li>')
m4_define(`CLOSE',`</ul>')



m4_dnl  reStructuredText (raw HTML):

m4_dnl  m4_define(`PRE',`.. raw:: html
m4_dnl  
m4_dnl  ')
m4_dnl  m4_define(`OPEN',`  <ul class="sitemap">')
m4_dnl  m4_define(`LINK',`<a class="sitemap-link sitemap-link-$1" href="$2">`$3'</a>')
m4_dnl  m4_define(`ITEM',`  <li class="sitemap-item sitemap-item-$1">$2</li>')
m4_dnl  m4_define(`CLOSE',`  </ul>')


m4_dnl  reStructuredText embedded can't be done in M4 macros because the
m4_dnl  backtick is impossible to escape and pass through literally.

m4_dnl  m4_define(`PRE',`')
m4_dnl  m4_define(`OPEN',`
m4_dnl  
m4_dnl  ')
m4_dnl  m4_define(`BACKTICK', m4_changequote([,
m4_dnl  ])[m4_changequote([,])`m4_changequote()]m4_changequote())
m4_dnl  m4_define(`TICK', m4_changequote([,
m4_dnl  ])[m4_changequote([,])'m4_changequote()]m4_changequote())
m4_dnl  m4_define(`LINK',`BACKTICK()$3 <$2>BACKTICK()_')
m4_dnl  m4_define(`ITEM',`- $2')
m4_dnl  m4_define(`CLOSE',`
m4_dnl  
m4_dnl  ')



m4_dnl  txt2tags:

m4_dnl  m4_define(`PRE',`')
m4_dnl  m4_define(`OPEN',`')
m4_dnl  m4_define(`LINK',`[`$3' `$2']')
m4_dnl  m4_define(`ITEM',`- $2')
m4_dnl  m4_define(`CLOSE',`')





m4_divert(divrest)m4_dnl
