m4_divert(-1)
m4_dnl
m4_dnl Scroll down through the template and change the things that need
m4_dnl to be changed to make this _your_ website.
m4_dnl
m4_dnl
m4_dnl
m4_dnl In this static website generator, M4 is invoked with the "-P"
m4_dnl switch, which causes M4 to prefix its built-in macro names with
m4_dnl "m4_".  This means "m4_dnl", not "dnl", is the delete-to-newline
m4_dnl comment macro, for example.
m4_dnl
m4_dnl M4 does not have the ability to escape the quote characters (the
m4_dnl backtick [`] and apostrophe ['] characters by default).  If you
m4_dnl need to use one of these characters within a macro definition,
m4_dnl you can use the m4_changequote macro to change the open and
m4_dnl closing quote characters to some other pair of character strings
m4_dnl that won't appear within a macro definition.
m4_dnl
m4_dnl If you just need to escape an apostrophe or two in the displayed
m4_dnl text, use the HTML entity "&apos;" to do it instead.
m4_dnl
m4_dnl This example changes the opening quote from the backtick to a
m4_dnl pair of opening brackets and the closing quote from the
m4_dnl apostrophe to a pair of closing brackets:
m4_dnl
m4_dnl m4_changequote([[,]])
m4_dnl
m4_dnl This example resets the opening and closing quotes to their
m4_dnl defaults:
m4_dnl
m4_dnl m4_changequote([[`]],[[']])
m4_dnl
m4_divert(0)m4_dnl
<!DOCTYPE html>
<html lang="en">
<head>
m4_dnl
m4_dnl Customize your website's name.  Replace "My Website" with your
m4_dnl website's actual title.
m4_dnl
m4_define(`WEBSITE', `My Website')m4_dnl
m4_dnl
  <title>m4_ifdef(
    `TITLE',
    `m4_spaste(TITLE) - WEBSITE',
       `No Page Title - WEBSITE'
    )</title>
  <meta
    http-equiv="Content-Type"
    content="text/html; charset=utf-8"
    />
  <meta
    name="viewport"
    content="width=device-width, initial-scale=1.0"
    />
  <link
    rel="stylesheet"
    href="/css/basic.css"
    />
  <link
    rel="icon"
    type="image/x-icon"
    href="/favicon/packing-box-favicon.ico"
    />
  <link
    rel="icon"
    sizes="32x32"
    href="/favicon/packing-box-32.png"
    />
  <meta
    name="msapplication-TileColor"
    content="#ffffff"
    />
  <meta
    name="msapplication-TileImage"
    content="/favicon/packing-box-144.png"
    />
  <link
    rel="apple-touch-icon-precomposed"
    sizes="152x152"
    href="/favicon/packing-box-152.png"
    />
  <link
    rel="apple-touch-icon-precomposed"
    sizes="144x144"
    href="/favicon/packing-box-144.png"
    />
  <link
    rel="apple-touch-icon-precomposed"
    sizes="120x120"
    href="/favicon/packing-box-120.png"
    />
  <link
    rel="apple-touch-icon-precomposed"
    sizes="114x114"
    href="/favicon/packing-box-114.png"
    />
  <link
    rel="apple-touch-icon-precomposed"
    sizes="72x72"
    href="/favicon/packing-box-72.png"
    />
  <link
    rel="apple-touch-icon-precomposed"
    href="/favicon/packing-box-57.png"
    />
  m4_ifdef(`AUTHOR', `<meta
    name="author"
    content="m4_spaste(AUTHOR)"
    />')
</head>
<body>
<header class="head">
  <div class="title">
    <a id="top">
m4_dnl
m4_dnl Change this to the actual title of your website:
m4_dnl
      My Website
    </a>
  </div>
  <nav>
    <ul>
      <li><a href="/">Home</a></li>
      <li><a href="/sitemap/">Site Map</a></li>
      <li><a href="/about.html">About</a></li>
    </ul>
  </nav>
</header>
<div class="divide"><hr></div>
<article class="main">
  <header>
    <h1>
      m4_ifdef(`TITLE', `m4_spaste(TITLE)', `No Page Title')
    </h1>
  </header>
m4_ifdef(`BODY', m4_spaste(BODY), `No page body.')
</article>
<div class="divide"><hr></div>
<footer class="foot">
  <a href="#top">Back to top navigation links.</a>
  <br/><br/>
  Administrivia:
  <br/>m4_dnl
m4_ifdef(`AUTHOR',`
  Page author: m4_spaste(AUTHOR)
  <br/>',`')m4_dnl
m4_ifdef(`DATE',`
  Date: m4_spaste(DATE)
  <br/>',`')m4_dnl
m4_dnl
m4_dnl Change this copyright data to match your name or your
m4_dnl organization's name and the rights you grant or reserve:
m4_dnl
  Site content copyright &copy; You or the author(s) except
  where noted otherwise.
  <br/>
  <a href="http://validator.w3.org/check?uri=referer"><img
  src="/buttons/valid-html-blue.png" width="88" height="31"
  alt="Valid W3C HTML 5 Markup" title="Valid W3C HTML 5 Markup"/></a>
  -
  <a href="http://jigsaw.w3.org/css-validator/check/referer"><img
  src="/buttons/valid-css-blue.png" width="88" height="31"
  alt="Valid W3C CSS Level 3 Content Styling"
  title="Valid W3C CSS Level 3 Content Styling"/></a>
  -
  <a href="http://www.w3.org/WAI/WCAG2AAA-Conformance"><img
  src="/buttons/wcag21aaa-blue.png" width="88" height="31"
  alt="Level Triple-A Conformance,
       W3C WAI Web Content Accessibility Guidelines 2.1"
  title="Explanation of WCAG 2.1 Level Triple-A Conformance"/></a>
  -
  <a href="http://lynx.invisible-island.net/"><img
  src="/buttons/lynxfriendly.jpg" width="88" height="31"
  alt="This site is Lyxn browser compatible"
  title="This site is Lynx browser compatible"/></a>
</footer>
</body>
</html>

